# include <stdio.h>
# include <string>
# include <iostream>
# include <cstdio>
# include <cstdlib>
# include <string>
# include <vector>

using namespace std;

vector<string> split(string & s, const char & c) {
	string buffer { "" };

   	vector<string> resultado;
	
    for (char caractere : s) {
		if (caractere != c) {
			buffer += caractere;
    	} else {
		    resultado.push_back(buffer);
    	    buffer = "";
		}
	}
	if (buffer != "")
		resultado.push_back(buffer);
	
    return resultado;
}

int main() {

    string linha;
    int jilo = 0;
    int ferrugem = 0;
    int jm, fm, ja, fa;

    
    while (true)
    {
        getline(cin, linha);
        if(linha == "0")
        {
            break;
        }

        int jogadas = atoi(linha.c_str()); 
          
        jilo = 0;
        ferrugem = 0;

        for (int x = 0; x < jogadas; x++) {
                
            getline(cin, linha);
        
            vector<string> temp = split(linha,  ' ');
        
            if (temp[0] == "lona") {
                jm = 0;
            } else {
                jm = temp[0].length();
            }

            if (temp[1] == "lona") {
                fm = 0;
            } else {
                fm = temp[1].length();
            }

            if (temp[2]== "lona") {
                ja = 0;
            } else {
                ja = atoi(temp[2].c_str());
            }

            if (temp[3] == "lona") {
                fa = 0;
            } else {
                fa = atoi(temp[3].c_str());
            }
                
            if(ja==jm+fm){
                jilo++;
            }
                
            if(fa==jm+fm){
                ferrugem++;
            }
        }
            
        if(jilo>ferrugem){
            cout << "Jilo\n";
        }else if(ferrugem > jilo){
            cout << "Ferrugem\n";
        }else{
            cout << "Empate\n";
        }
    } 
    return 0;
}